# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/oink/perls

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/oink/perls/build

# Utility rule file for senlcm.jar.

java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/prosilica_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/ms_gx1_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/prosilica_attribute_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/easydaq_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/collie_compass_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/ppsboard_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/relay_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/kvh_dsp3000_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/raw_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/stats_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/rdi_pd5_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/os_compass_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/gpsd_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/dstar_ssp1_t.class
java/lcmtypes/CMakeFiles/senlcm.jar: java/lcmtypes/senlcm/rdi_pd4_t.class
	cd /home/oink/perls/build/java/lcmtypes && CMAKE_Java_ARCHIVE-NOTFOUND cf /home/oink/perls/lib/senlcm.jar senlcm

java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/prosilica_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/ms_gx1_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/prosilica_attribute_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/easydaq_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/collie_compass_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/ppsboard_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/relay_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/kvh_dsp3000_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/raw_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/stats_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/rdi_pd5_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/os_compass_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/gpsd_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/dstar_ssp1_t.java
java/lcmtypes/senlcm/prosilica_t.class: ../java/lcmtypes/senlcm/rdi_pd4_t.java
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating target senlcm.jar class files"
	cd /home/oink/perls/java/lcmtypes && /usr/bin/java -classpath LCM_JAR-NOTFOUND:/home/oink/perls/lib/auvlcm.jar:/home/oink/perls/lib/botlcm.jar:/home/oink/perls/lib/legacy.jar:/home/oink/perls/lib/senlcm.jar -d /home/oink/perls/build/java/lcmtypes /home/oink/perls/java/lcmtypes/senlcm/prosilica_t.java /home/oink/perls/java/lcmtypes/senlcm/ms_gx1_t.java /home/oink/perls/java/lcmtypes/senlcm/prosilica_attribute_t.java /home/oink/perls/java/lcmtypes/senlcm/easydaq_t.java /home/oink/perls/java/lcmtypes/senlcm/collie_compass_t.java /home/oink/perls/java/lcmtypes/senlcm/ppsboard_t.java /home/oink/perls/java/lcmtypes/senlcm/relay_t.java /home/oink/perls/java/lcmtypes/senlcm/kvh_dsp3000_t.java /home/oink/perls/java/lcmtypes/senlcm/raw_t.java /home/oink/perls/java/lcmtypes/senlcm/stats_t.java /home/oink/perls/java/lcmtypes/senlcm/rdi_pd5_t.java /home/oink/perls/java/lcmtypes/senlcm/os_compass_t.java /home/oink/perls/java/lcmtypes/senlcm/gpsd_t.java /home/oink/perls/java/lcmtypes/senlcm/dstar_ssp1_t.java /home/oink/perls/java/lcmtypes/senlcm/rdi_pd4_t.java

java/lcmtypes/senlcm/ms_gx1_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/prosilica_attribute_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/easydaq_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/collie_compass_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/ppsboard_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/relay_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/kvh_dsp3000_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/raw_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/stats_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/rdi_pd5_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/os_compass_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/gpsd_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/dstar_ssp1_t.class: java/lcmtypes/senlcm/prosilica_t.class

java/lcmtypes/senlcm/rdi_pd4_t.class: java/lcmtypes/senlcm/prosilica_t.class

../java/lcmtypes/senlcm/prosilica_t.java: ../lcmdefs/senlcm/senlcm_prosilica_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_2)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/prosilica_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_prosilica_t.lcm --lazy -j

../java/lcmtypes/senlcm/ms_gx1_t.java: ../lcmdefs/senlcm/senlcm_ms_gx1_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_3)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/ms_gx1_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_ms_gx1_t.lcm --lazy -j

../java/lcmtypes/senlcm/prosilica_attribute_t.java: ../lcmdefs/senlcm/senlcm_prosilica_attribute_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_4)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/prosilica_attribute_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_prosilica_attribute_t.lcm --lazy -j

../java/lcmtypes/senlcm/easydaq_t.java: ../lcmdefs/senlcm/senlcm_easydaq_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_5)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/easydaq_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_easydaq_t.lcm --lazy -j

../java/lcmtypes/senlcm/collie_compass_t.java: ../lcmdefs/senlcm/senlcm_collie_compass_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_6)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/collie_compass_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_collie_compass_t.lcm --lazy -j

../java/lcmtypes/senlcm/ppsboard_t.java: ../lcmdefs/senlcm/senlcm_ppsboard_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_7)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/ppsboard_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_ppsboard_t.lcm --lazy -j

../java/lcmtypes/senlcm/relay_t.java: ../lcmdefs/senlcm/senlcm_relay_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_8)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/relay_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_relay_t.lcm --lazy -j

../java/lcmtypes/senlcm/kvh_dsp3000_t.java: ../lcmdefs/senlcm/senlcm_kvh_dsp3000_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_9)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/kvh_dsp3000_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_kvh_dsp3000_t.lcm --lazy -j

../java/lcmtypes/senlcm/raw_t.java: ../lcmdefs/senlcm/senlcm_raw_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_10)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/raw_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_raw_t.lcm --lazy -j

../java/lcmtypes/senlcm/stats_t.java: ../lcmdefs/senlcm/senlcm_stats_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_11)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/stats_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_stats_t.lcm --lazy -j

../java/lcmtypes/senlcm/rdi_pd5_t.java: ../lcmdefs/senlcm/senlcm_rdi_pd5_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_12)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/rdi_pd5_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_rdi_pd5_t.lcm --lazy -j

../java/lcmtypes/senlcm/os_compass_t.java: ../lcmdefs/senlcm/senlcm_os_compass_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_13)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/os_compass_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_os_compass_t.lcm --lazy -j

../java/lcmtypes/senlcm/gpsd_t.java: ../lcmdefs/senlcm/senlcm_gpsd_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_14)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/gpsd_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_gpsd_t.lcm --lazy -j

../java/lcmtypes/senlcm/dstar_ssp1_t.java: ../lcmdefs/senlcm/senlcm_dstar_ssp1_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_15)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/dstar_ssp1_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_dstar_ssp1_t.lcm --lazy -j

../java/lcmtypes/senlcm/rdi_pd4_t.java: ../lcmdefs/senlcm/senlcm_rdi_pd4_t.lcm
	$(CMAKE_COMMAND) -E cmake_progress_report /home/oink/perls/build/CMakeFiles $(CMAKE_PROGRESS_16)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating ../../../java/lcmtypes/senlcm/rdi_pd4_t.java"
	cd /home/oink/perls/java/lcmtypes && /usr/local/bin/lcm-gen /home/oink/perls/lcmdefs/senlcm/senlcm_rdi_pd4_t.lcm --lazy -j

senlcm.jar: java/lcmtypes/CMakeFiles/senlcm.jar
senlcm.jar: java/lcmtypes/senlcm/prosilica_t.class
senlcm.jar: java/lcmtypes/senlcm/ms_gx1_t.class
senlcm.jar: java/lcmtypes/senlcm/prosilica_attribute_t.class
senlcm.jar: java/lcmtypes/senlcm/easydaq_t.class
senlcm.jar: java/lcmtypes/senlcm/collie_compass_t.class
senlcm.jar: java/lcmtypes/senlcm/ppsboard_t.class
senlcm.jar: java/lcmtypes/senlcm/relay_t.class
senlcm.jar: java/lcmtypes/senlcm/kvh_dsp3000_t.class
senlcm.jar: java/lcmtypes/senlcm/raw_t.class
senlcm.jar: java/lcmtypes/senlcm/stats_t.class
senlcm.jar: java/lcmtypes/senlcm/rdi_pd5_t.class
senlcm.jar: java/lcmtypes/senlcm/os_compass_t.class
senlcm.jar: java/lcmtypes/senlcm/gpsd_t.class
senlcm.jar: java/lcmtypes/senlcm/dstar_ssp1_t.class
senlcm.jar: java/lcmtypes/senlcm/rdi_pd4_t.class
senlcm.jar: ../java/lcmtypes/senlcm/prosilica_t.java
senlcm.jar: ../java/lcmtypes/senlcm/ms_gx1_t.java
senlcm.jar: ../java/lcmtypes/senlcm/prosilica_attribute_t.java
senlcm.jar: ../java/lcmtypes/senlcm/easydaq_t.java
senlcm.jar: ../java/lcmtypes/senlcm/collie_compass_t.java
senlcm.jar: ../java/lcmtypes/senlcm/ppsboard_t.java
senlcm.jar: ../java/lcmtypes/senlcm/relay_t.java
senlcm.jar: ../java/lcmtypes/senlcm/kvh_dsp3000_t.java
senlcm.jar: ../java/lcmtypes/senlcm/raw_t.java
senlcm.jar: ../java/lcmtypes/senlcm/stats_t.java
senlcm.jar: ../java/lcmtypes/senlcm/rdi_pd5_t.java
senlcm.jar: ../java/lcmtypes/senlcm/os_compass_t.java
senlcm.jar: ../java/lcmtypes/senlcm/gpsd_t.java
senlcm.jar: ../java/lcmtypes/senlcm/dstar_ssp1_t.java
senlcm.jar: ../java/lcmtypes/senlcm/rdi_pd4_t.java
senlcm.jar: java/lcmtypes/CMakeFiles/senlcm.jar.dir/build.make
.PHONY : senlcm.jar

# Rule to build all files generated by this target.
java/lcmtypes/CMakeFiles/senlcm.jar.dir/build: senlcm.jar
.PHONY : java/lcmtypes/CMakeFiles/senlcm.jar.dir/build

java/lcmtypes/CMakeFiles/senlcm.jar.dir/clean:
	cd /home/oink/perls/build/java/lcmtypes && $(CMAKE_COMMAND) -P CMakeFiles/senlcm.jar.dir/cmake_clean.cmake
.PHONY : java/lcmtypes/CMakeFiles/senlcm.jar.dir/clean

java/lcmtypes/CMakeFiles/senlcm.jar.dir/depend:
	cd /home/oink/perls/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/oink/perls /home/oink/perls/java/lcmtypes /home/oink/perls/build /home/oink/perls/build/java/lcmtypes /home/oink/perls/build/java/lcmtypes/CMakeFiles/senlcm.jar.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : java/lcmtypes/CMakeFiles/senlcm.jar.dir/depend

